#include "CameraDrivingPerceptionFour_GeneralWrapper.h"

#include "sub/SubWrapperHelper.h"
#include "camera_driving_perception_four/executable.h"
#include "CameraDrivingPerceptionFour_SubDataWrapper.h"

GeneralWrapper::GeneralWrapper(ara::log::Logger& mainLog) : 
_CamDrvPerceptionFour2Fusion_Provide("camera_driving_perception_four/camera_driving_perception_four/CamDrvPerceptionFour2FusionPPort" ,mainLog),
_CamDrv2CamDrvPerceptionFour_Required("camera_driving_perception_four/camera_driving_perception_four/CamDrv2CamDrvPerceptionFourRPort" ,mainLog),
_Slam2DrvPerceptionFourOdom_Required("camera_driving_perception_four/camera_driving_perception_four/Slam2DrvPerceptionFourOdomRPort" ,mainLog),
_CAN2DrvPerceptionFour_Required("camera_driving_perception_four/camera_driving_perception_four/CAN2DrvPerceptionFourRPort" ,mainLog),
_VED2DrvPerceptionFour_Required("camera_driving_perception_four/camera_driving_perception_four/VED2DrvPerceptionFourRPort" ,mainLog)
{
    //Provides
    _CamDrvPerceptionFour2Fusion_Provide.Init();
    //Requireds
    _CamDrv2CamDrvPerceptionFour_Required.Init();
    _Slam2DrvPerceptionFourOdom_Required.Init();
    _CAN2DrvPerceptionFour_Required.Init();
    _VED2DrvPerceptionFour_Required.Init();
}
GeneralWrapper::~GeneralWrapper() 
{
    _CamDrv2CamDrvPerceptionFour_Required.Destroy();
    _Slam2DrvPerceptionFourOdom_Required.Destroy();
    _CAN2DrvPerceptionFour_Required.Destroy();
    _VED2DrvPerceptionFour_Required.Destroy();
}

void GeneralWrapper::Start() {
    
}

